﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Net.Mail;

namespace SendMail
{
    public partial class SendMail : UserControl
    {
        string example = "example@abc.com";
        SmtpClient client;
        private string _Kullanici;
        private string _Sifre;
        private string _Kime;
        private string _Konu;
        private string _Mesaj;

        public string Mesaj
        {
            get { return _Mesaj; }
            set
            {
                _Mesaj = value;
                textBox_mesaj.Text = value;
            }
        }


        public string Konu
        {
            get { return _Konu; }
            set
            {
                _Konu = value;
                textBox_konu.Text = value;
            }
        }


        public string Kime
        {
            get { return _Kime; }
            set
            {
                _Kime = value;
                textBox_kime.Text = value;
            }
        }


        public string Sifre
        {
            get { return _Sifre; }
            set
            {
                _Sifre = value;
                textBox_sifre.Text = value;
            }
        }


        public string KullaniciAd
        {
            get { return _Kullanici; }
            set
            {
                _Kullanici = value;
                textBox_kullaniciAd.Text = value;
            }
        }

        public SendMail()
        {
            InitializeComponent();
        }

        private void SendMail_Load(object sender, EventArgs e)
        {
            comboBox_servisler.DataSource = SMTPServer.Servsler();
        }

        private void checkBox_sifreGoster_CheckedChanged(object sender, EventArgs e)
        {
            textBox_sifre.UseSystemPasswordChar = !checkBox_sifreGoster.Checked;
        }

        private void textBox_kullaniciAd_Leave(object sender, EventArgs e)
        {
            TextBox s = sender as TextBox;
            s.Text = s.Text.Trim();
            if (s.Text.Length == 0)
            {
                s.Text = example;
            }
        }

        private void textBox_kullaniciAd_Enter(object sender, EventArgs e)
        {
            TextBox s = sender as TextBox;
            if (s.Text == example)
            {
                s.Text = "";
            }
        }

        private void button_Gonder_Click(object sender, EventArgs e)
        {
            KullaniciAd = textBox_kullaniciAd.Text.Trim();
            Sifre = textBox_sifre.Text;
            Kime = textBox_kime.Text;
            Konu = textBox_konu.Text.Trim();
            Mesaj = textBox_mesaj.Text;

            if (Konu.Length == 0)
            {
                DialogResult sonuc = MessageBox.Show("Konu kısmını boş bıraktınız. Devam edilsin mi?", "Uyarı!", MessageBoxButtons.YesNo, MessageBoxIcon.Stop);
                if (sonuc == DialogResult.No)
                {
                    return;
                }
            }
            MailMessage mail = new MailMessage(KullaniciAd, Kime, Konu, Mesaj);
            client.Credentials = new System.Net.NetworkCredential(KullaniciAd, Sifre);
            if (System.Net.NetworkInformation.NetworkInterface.GetIsNetworkAvailable())
            {
                try
                {
                    client.Send(mail);
                    label_bilgi.Text = "Mail gönderimi başarılı";
                }
                catch (Exception ex)
                {
                    MessageBox.Show(ex.Message, "Hata!", MessageBoxButtons.OK, MessageBoxIcon.Stop);
                }
            }
            else
            {
                MessageBox.Show("Bilgisayar internet bağlantısını kontrol ediniz!", "Hata!", MessageBoxButtons.OK, MessageBoxIcon.Stop);
            }
        }

        private void comboBox_servisler_SelectedIndexChanged(object sender, EventArgs e)
        {
            client = (comboBox_servisler.SelectedItem as SMTPServer);
        }
        bool ilk = true;
        string ilkDeger = "SAFER YAZILIM";
        private void textBox_konu_Enter(object sender, EventArgs e)
        {
            if (textBox_konu.Text==ilkDeger && ilk)
            {
                textBox_konu.Text = "";
                ilk = false;
            }
        }


    }
}
